# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from alfresco_core_api_client.configuration import Configuration


class RestoreArchivedContentRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'restore_priority': 'str'
    }

    attribute_map = {
        'restore_priority': 'restorePriority'
    }

    def __init__(self, restore_priority=None, _configuration=None):  # noqa: E501
        """RestoreArchivedContentRequest - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._restore_priority = None
        self.discriminator = None

        if restore_priority is not None:
            self.restore_priority = restore_priority

    @property
    def restore_priority(self):
        """Gets the restore_priority of this RestoreArchivedContentRequest.  # noqa: E501

        Restore from archive priority (Standard/High - to be mapped to Storage Provider specific values in Cloud Connectors)  # noqa: E501

        :return: The restore_priority of this RestoreArchivedContentRequest.  # noqa: E501
        :rtype: str
        """
        return self._restore_priority

    @restore_priority.setter
    def restore_priority(self, restore_priority):
        """Sets the restore_priority of this RestoreArchivedContentRequest.

        Restore from archive priority (Standard/High - to be mapped to Storage Provider specific values in Cloud Connectors)  # noqa: E501

        :param restore_priority: The restore_priority of this RestoreArchivedContentRequest.  # noqa: E501
        :type: str
        """

        self._restore_priority = restore_priority

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(RestoreArchivedContentRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, RestoreArchivedContentRequest):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, RestoreArchivedContentRequest):
            return True

        return self.to_dict() != other.to_dict()
